diff --git a/base/commands.c b/base/commands.c
index 235afdecf..ff9052f88 100644
--- a/base/commands.c
+++ b/base/commands.c
@@ -2275,6 +2275,7 @@ int cmd_schedule_host_service_checks(int cmd, char *args, int force) {
 int cmd_signal_process(int cmd, char *args) {
 	time_t scheduled_time = 0L;
 	char *temp_ptr = NULL;
+	int event_signal = 0;
 
 	/* get the time to schedule the event */
 	if((temp_ptr = my_strtok(args, "\n")) == NULL)
@@ -2282,8 +2283,13 @@ int cmd_signal_process(int cmd, char *args) {
 	else
 		scheduled_time = strtoul(temp_ptr, NULL, 10);
 
+	/* what signal are we sending? */
+	event_signal = EVENT_PROGRAM_RESTART;
+	if (cmd == CMD_SHUTDOWN_PROCESS)
+		event_signal = EVENT_PROGRAM_SHUTDOWN;
+
 	/* add a scheduled program shutdown or restart to the event list */
-	if (!schedule_new_event((cmd == CMD_SHUTDOWN_PROCESS) ? EVENT_PROGRAM_SHUTDOWN : EVENT_PROGRAM_RESTART, TRUE, scheduled_time, FALSE, 0, NULL, FALSE, NULL, NULL, 0))
+	if (!schedule_new_event(event_signal, TRUE, scheduled_time, FALSE, 0, NULL, FALSE, NULL, NULL, 0))
 		return ERROR;
 
 	return OK;
